Skip to main content
`Ctrl`+`K`

# PetscDSCopyBoundary

Copy all boundary condition objects to the new `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCopyBoundary(PetscDS ds, PetscInt numFields, const PetscInt fields[], PetscDS newds)

Not Collective

## Input Parameters

- ds - The source `PetscDS` object

- numFields - The number of selected fields, or `PETSC_DEFAULT` for all fields

- fields - The selected fields, or `NULL` for all fields

## Output Parameter

- newds - The target `PetscDS`, now with a copy of the boundary conditions

## See Also

`PetscDS`, `DMBoundary`, `PetscDSCopyEquations()`, `PetscDSSetResidual()`, `PetscDSSetJacobian()`, `PetscDSSetRiemannSolver()`, `PetscDSSetBdResidual()`, `PetscDSSetBdJacobian()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages